%
% Status : main Dynare file
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

if isoctave || matlab_ver_less_than('8.6')
    clear all
else
    clearvars -global
    clear_persistent_variables(fileparts(which('dynare')), false)
end
tic0 = tic;
% Save empty dates and dseries objects in memory.
dates('initialize');
dseries('initialize');
% Define global variables.
global M_ options_ oo_ estim_params_ bayestopt_ dataset_ dataset_info estimation_info ys0_ ex0_
options_ = [];
M_.fname = 'NKt_estYPIR';
M_.dynare_version = '4.5.5';
oo_.dynare_version = '4.5.5';
options_.dynare_version = '4.5.5';
%
% Some global variables initialization
%
global_initialization;
diary off;
diary('NKt_estYPIR.log');
M_.exo_names = 'epsilon_a';
M_.exo_names_tex = 'epsilon\_a';
M_.exo_names_long = 'epsilon_a';
M_.exo_names = char(M_.exo_names, 'epsilon_m');
M_.exo_names_tex = char(M_.exo_names_tex, 'epsilon\_m');
M_.exo_names_long = char(M_.exo_names_long, 'epsilon_m');
M_.exo_names = char(M_.exo_names, 'epsilon_g');
M_.exo_names_tex = char(M_.exo_names_tex, 'epsilon\_g');
M_.exo_names_long = char(M_.exo_names_long, 'epsilon_g');
M_.endo_names = 'Y';
M_.endo_names_tex = 'Y';
M_.endo_names_long = 'Y';
M_.endo_names = char(M_.endo_names, 'C');
M_.endo_names_tex = char(M_.endo_names_tex, 'C');
M_.endo_names_long = char(M_.endo_names_long, 'C');
M_.endo_names = char(M_.endo_names, 'R');
M_.endo_names_tex = char(M_.endo_names_tex, 'R');
M_.endo_names_long = char(M_.endo_names_long, 'R');
M_.endo_names = char(M_.endo_names, 'PI');
M_.endo_names_tex = char(M_.endo_names_tex, 'PI');
M_.endo_names_long = char(M_.endo_names_long, 'PI');
M_.endo_names = char(M_.endo_names, 'W');
M_.endo_names_tex = char(M_.endo_names_tex, 'W');
M_.endo_names_long = char(M_.endo_names_long, 'W');
M_.endo_names = char(M_.endo_names, 'L');
M_.endo_names_tex = char(M_.endo_names_tex, 'L');
M_.endo_names_long = char(M_.endo_names_long, 'L');
M_.endo_names = char(M_.endo_names, 'PI_STAR');
M_.endo_names_tex = char(M_.endo_names_tex, 'PI\_STAR');
M_.endo_names_long = char(M_.endo_names_long, 'PI_STAR');
M_.endo_names = char(M_.endo_names, 'NU');
M_.endo_names_tex = char(M_.endo_names_tex, 'NU');
M_.endo_names_long = char(M_.endo_names_long, 'NU');
M_.endo_names = char(M_.endo_names, 'MC');
M_.endo_names_tex = char(M_.endo_names_tex, 'MC');
M_.endo_names_long = char(M_.endo_names_long, 'MC');
M_.endo_names = char(M_.endo_names, 'AUX1');
M_.endo_names_tex = char(M_.endo_names_tex, 'AUX1');
M_.endo_names_long = char(M_.endo_names_long, 'AUX1');
M_.endo_names = char(M_.endo_names, 'AUX2');
M_.endo_names_tex = char(M_.endo_names_tex, 'AUX2');
M_.endo_names_long = char(M_.endo_names_long, 'AUX2');
M_.endo_names = char(M_.endo_names, 'A');
M_.endo_names_tex = char(M_.endo_names_tex, 'A');
M_.endo_names_long = char(M_.endo_names_long, 'A');
M_.endo_names = char(M_.endo_names, 'G');
M_.endo_names_tex = char(M_.endo_names_tex, 'G');
M_.endo_names_long = char(M_.endo_names_long, 'G');
M_.endo_names = char(M_.endo_names, 'M');
M_.endo_names_tex = char(M_.endo_names_tex, 'M');
M_.endo_names_long = char(M_.endo_names_long, 'M');
M_.endo_names = char(M_.endo_names, 'Sg');
M_.endo_names_tex = char(M_.endo_names_tex, 'Sg');
M_.endo_names_long = char(M_.endo_names_long, 'Sg');
M_.endo_names = char(M_.endo_names, 'YY');
M_.endo_names_tex = char(M_.endo_names_tex, 'YY');
M_.endo_names_long = char(M_.endo_names_long, 'YY');
M_.endo_names = char(M_.endo_names, 'PIPI');
M_.endo_names_tex = char(M_.endo_names_tex, 'PIPI');
M_.endo_names_long = char(M_.endo_names_long, 'PIPI');
M_.endo_names = char(M_.endo_names, 'RR');
M_.endo_names_tex = char(M_.endo_names_tex, 'RR');
M_.endo_names_long = char(M_.endo_names_long, 'RR');
M_.endo_names = char(M_.endo_names, 'dy_star');
M_.endo_names_tex = char(M_.endo_names_tex, 'dy\_star');
M_.endo_names_long = char(M_.endo_names_long, 'dy_star');
M_.endo_names = char(M_.endo_names, 'pinfobs_star');
M_.endo_names_tex = char(M_.endo_names_tex, 'pinfobs\_star');
M_.endo_names_long = char(M_.endo_names_long, 'pinfobs_star');
M_.endo_names = char(M_.endo_names, 'robs_star');
M_.endo_names_tex = char(M_.endo_names_tex, 'robs\_star');
M_.endo_names_long = char(M_.endo_names_long, 'robs_star');
M_.endo_partitions = struct();
M_.param_names = 'beta';
M_.param_names_tex = 'beta';
M_.param_names_long = 'beta';
M_.param_names = char(M_.param_names, 'A_STEADY');
M_.param_names_tex = char(M_.param_names_tex, 'A\_STEADY');
M_.param_names_long = char(M_.param_names_long, 'A_STEADY');
M_.param_names = char(M_.param_names, 'Sg_STEADY');
M_.param_names_tex = char(M_.param_names_tex, 'Sg\_STEADY');
M_.param_names_long = char(M_.param_names_long, 'Sg_STEADY');
M_.param_names = char(M_.param_names, 'PI_STEADY');
M_.param_names_tex = char(M_.param_names_tex, 'PI\_STEADY');
M_.param_names_long = char(M_.param_names_long, 'PI_STEADY');
M_.param_names = char(M_.param_names, 'varepsilon');
M_.param_names_tex = char(M_.param_names_tex, 'varepsilon');
M_.param_names_long = char(M_.param_names_long, 'varepsilon');
M_.param_names = char(M_.param_names, 'theta');
M_.param_names_tex = char(M_.param_names_tex, 'theta');
M_.param_names_long = char(M_.param_names_long, 'theta');
M_.param_names = char(M_.param_names, 'phi_pi');
M_.param_names_tex = char(M_.param_names_tex, 'phi\_pi');
M_.param_names_long = char(M_.param_names_long, 'phi_pi');
M_.param_names = char(M_.param_names, 'phi_y');
M_.param_names_tex = char(M_.param_names_tex, 'phi\_y');
M_.param_names_long = char(M_.param_names_long, 'phi_y');
M_.param_names = char(M_.param_names, 'rho_a');
M_.param_names_tex = char(M_.param_names_tex, 'rho\_a');
M_.param_names_long = char(M_.param_names_long, 'rho_a');
M_.param_names = char(M_.param_names, 'rho_r');
M_.param_names_tex = char(M_.param_names_tex, 'rho\_r');
M_.param_names_long = char(M_.param_names_long, 'rho_r');
M_.param_names = char(M_.param_names, 'rho_g');
M_.param_names_tex = char(M_.param_names_tex, 'rho\_g');
M_.param_names_long = char(M_.param_names_long, 'rho_g');
M_.param_names = char(M_.param_names, 'sigma_g');
M_.param_names_tex = char(M_.param_names_tex, 'sigma\_g');
M_.param_names_long = char(M_.param_names_long, 'sigma_g');
M_.param_names = char(M_.param_names, 'sigma_a');
M_.param_names_tex = char(M_.param_names_tex, 'sigma\_a');
M_.param_names_long = char(M_.param_names_long, 'sigma_a');
M_.param_names = char(M_.param_names, 'sigma_m');
M_.param_names_tex = char(M_.param_names_tex, 'sigma\_m');
M_.param_names_long = char(M_.param_names_long, 'sigma_m');
M_.param_names = char(M_.param_names, 'vartheta');
M_.param_names_tex = char(M_.param_names_tex, 'vartheta');
M_.param_names_long = char(M_.param_names_long, 'vartheta');
M_.param_names = char(M_.param_names, 'psi');
M_.param_names_tex = char(M_.param_names_tex, 'psi');
M_.param_names_long = char(M_.param_names_long, 'psi');
M_.param_partitions = struct();
M_.exo_det_nbr = 0;
M_.exo_nbr = 3;
M_.endo_nbr = 21;
M_.param_nbr = 16;
M_.orig_endo_nbr = 21;
M_.aux_vars = [];
options_.varobs = cell(1);
options_.varobs(1)  = {'dy_star'};
options_.varobs(2)  = {'pinfobs_star'};
options_.varobs(3)  = {'robs_star'};
options_.varobs_id = [ 19 20 21  ];
M_.Sigma_e = zeros(3, 3);
M_.Correlation_matrix = eye(3, 3);
M_.H = 0;
M_.Correlation_matrix_ME = 1;
M_.sigma_e_is_diagonal = 1;
M_.det_shocks = [];
options_.block=0;
options_.bytecode=0;
options_.use_dll=0;
M_.hessian_eq_zero = 0;
erase_compiled_function('NKt_estYPIR_static');
erase_compiled_function('NKt_estYPIR_dynamic');
M_.orig_eq_nbr = 21;
M_.eq_nbr = 21;
M_.ramsey_eq_nbr = 0;
M_.set_auxiliary_variables = exist(['./' M_.fname '_set_auxiliary_variables.m'], 'file') == 2;
M_.lead_lag_incidence = [
 0 6 0;
 0 7 27;
 1 8 0;
 0 9 28;
 0 10 0;
 0 11 0;
 0 12 29;
 2 13 0;
 0 14 0;
 0 15 30;
 0 16 31;
 3 17 0;
 0 18 0;
 0 19 0;
 4 20 0;
 5 21 0;
 0 22 0;
 0 23 0;
 0 24 0;
 0 25 0;
 0 26 0;]';
M_.nstatic = 11;
M_.nfwrd   = 5;
M_.npred   = 5;
M_.nboth   = 0;
M_.nsfwrd   = 5;
M_.nspred   = 5;
M_.ndynamic   = 10;
M_.equations_tags = {
};
M_.static_and_dynamic_models_differ = 0;
M_.exo_names_orig_ord = [1:3];
M_.maximum_lag = 1;
M_.maximum_lead = 1;
M_.maximum_endo_lag = 1;
M_.maximum_endo_lead = 1;
oo_.steady_state = zeros(21, 1);
M_.maximum_exo_lag = 0;
M_.maximum_exo_lead = 0;
oo_.exo_steady_state = zeros(3, 1);
M_.params = NaN(16, 1);
M_.NNZDerivatives = [67; 94; -1];
M_.params( 1 ) = 0.99;
beta = M_.params( 1 );
M_.params( 3 ) = 0.2;
Sg_STEADY = M_.params( 3 );
M_.params( 2 ) = 1;
A_STEADY = M_.params( 2 );
M_.params( 4 ) = 1.005;
PI_STEADY = M_.params( 4 );
M_.params( 16 ) = 2;
psi = M_.params( 16 );
M_.params( 15 ) = 1;
vartheta = M_.params( 15 );
M_.params( 6 ) = 0.75;
theta = M_.params( 6 );
M_.params( 5 ) = 6;
varepsilon = M_.params( 5 );
M_.params( 7 ) = 1.5;
phi_pi = M_.params( 7 );
M_.params( 8 ) = 0.25;
phi_y = M_.params( 8 );
M_.params( 10 ) = 0;
rho_r = M_.params( 10 );
M_.params( 9 ) = 0.9;
rho_a = M_.params( 9 );
M_.params( 11 ) = 0.8;
rho_g = M_.params( 11 );
M_.params( 13 ) = 0.1;
sigma_a = M_.params( 13 );
M_.params( 14 ) = 0.1;
sigma_m = M_.params( 14 );
M_.params( 12 ) = 0.1;
sigma_g = M_.params( 12 );
%
% SHOCKS instructions
%
M_.exo_det_length = 0;
M_.Sigma_e(1, 1) = 1;
M_.Sigma_e(2, 2) = 1;
M_.Sigma_e(3, 3) = 1;
steady;
oo_.dr.eigval = check(M_,options_,oo_);
options_.debug=1;
model_diagnostics(M_,options_,oo_);
estim_params_.var_exo = [];
estim_params_.var_endo = [];
estim_params_.corrx = [];
estim_params_.corrn = [];
estim_params_.param_vals = [];
estim_params_.param_vals = [estim_params_.param_vals; 3, M_.params(3), 0.0001, 0.9999, 1, M_.params(3), 0.10, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 2, M_.params(2), 0.0001, Inf, 2, M_.params(2), 0.10, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 16, M_.params(16), 0.0001, Inf, 2, M_.params(16), 0.10, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 5, M_.params(5), 1.0001, Inf, 2, M_.params(5), 0.10, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 6, M_.params(6), 0.5, 1, 1, M_.params(6), 0.10, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 7, M_.params(7), 1, Inf, 2, M_.params(7), 0.10, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 8, M_.params(8), 0.0001, Inf, 2, M_.params(8), 0.10, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 9, M_.params(9), 0.0001, 0.9999, 1, M_.params(9), 0.05, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 11, M_.params(11), 0.0001, 0.9999, 1, M_.params(11), 0.05, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 12, M_.params(12), 0.0001, Inf, 2, M_.params(12), 0.05, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 13, M_.params(13), 0.0001, Inf, 2, M_.params(13), 0.05, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 14, M_.params(14), 0.0001, Inf, 2, M_.params(14), 0.05, NaN, NaN, NaN ];
estim_params_.param_vals = [estim_params_.param_vals; 15, M_.params(15), 0.0001, Inf, 2, M_.params(15), 0.10, NaN, NaN, NaN ];
estim_params_.var_endo = [estim_params_.var_endo; 19, 0.1, 0.001, Inf, 4, 0.10, 5.00, NaN, NaN, NaN ];
estim_params_.var_endo = [estim_params_.var_endo; 20, 0.1, 0.001, Inf, 4, 0.10, 5.00, NaN, NaN, NaN ];
estim_params_.var_endo = [estim_params_.var_endo; 21, 0.1, 0.001, Inf, 4, 0.10, 5.00, NaN, NaN, NaN ];
options_.mh_replic = 0;
options_.mode_check.status = 1;
options_.mode_compute = 8;
options_.order = 2;
options_.particle.distribution_approximation.cubature = 1;
options_.particle.distribution_approximation.montecarlo = 0;
options_.particle.distribution_approximation.unscented = 0;
options_.particle.proposal_approximation.cubature = 1;
options_.particle.proposal_approximation.montecarlo = 0;
options_.particle.proposal_approximation.unscented = 0;
options_.datafile = 'us_data';
options_.particle.filter_algorithm = 'nlkf';
options_.graph_format = char('fig');
options_.particle.status = 1;
var_list_ = char('dy_star','pinfobs_star','robs_star');
oo_recursive_=dynare_estimation(var_list_);
save('NKt_estYPIR_results.mat', 'oo_', 'M_', 'options_');
if exist('estim_params_', 'var') == 1
  save('NKt_estYPIR_results.mat', 'estim_params_', '-append');
end
if exist('bayestopt_', 'var') == 1
  save('NKt_estYPIR_results.mat', 'bayestopt_', '-append');
end
if exist('dataset_', 'var') == 1
  save('NKt_estYPIR_results.mat', 'dataset_', '-append');
end
if exist('estimation_info', 'var') == 1
  save('NKt_estYPIR_results.mat', 'estimation_info', '-append');
end
if exist('dataset_info', 'var') == 1
  save('NKt_estYPIR_results.mat', 'dataset_info', '-append');
end
if exist('oo_recursive_', 'var') == 1
  save('NKt_estYPIR_results.mat', 'oo_recursive_', '-append');
end


disp(['Total computing time : ' dynsec2hms(toc(tic0)) ]);
if ~isempty(lastwarn)
  disp('Note: warning(s) encountered in MATLAB/Octave code')
end
diary off
